Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema Class Reference

`#include <OCurves.h>`

Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema:
[legend]
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema:
[legend]

## Classes

class | Sample

## Public Types

typedef OCurvesSchema | this_type
typedef OCurvesSchema::Sample | sample_type
Public Types inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< CurvesSchemaInfo >
typedef CurvesSchemaInfo | info_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< CurvesSchemaInfo >
typedef CurvesSchemaInfo | info_type
typedef OSchema< CurvesSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
typedef OCompoundProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions

| OCurvesSchema ()
| OCurvesSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument(), const Abc::Argument &iArg3=Abc::Argument())
| OCurvesSchema (const OCurvesSchema &iCopy)
AbcA::TimeSamplingPtr | getTimeSampling () const
| Default assignment operator used. More...
void | setTimeSampling (uint32_t iIndex)
void | setTimeSampling (AbcA::TimeSamplingPtr iTime)
size_t | getNumSamples () const
void | set (const sample_type &iSamp)
void | setFromPrevious ()
void | reset ()
bool | valid () const
| ALEMBIC_OVERRIDE_OPERATOR_BOOL (this_type::valid())
Public Member Functions inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< CurvesSchemaInfo >
| OGeomBaseSchema ()
| OGeomBaseSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument(), const Argument &iArg3=Argument())
| OGeomBaseSchema (const OGeomBaseSchema &iCopy)
| Copy constructor. More...
virtual void | reset ()
virtual bool | valid () const
Abc::OCompoundProperty | getArbGeomParams ()
Abc::OCompoundProperty | getUserProperties ()
Abc::OBox3dProperty | getChildBoundsProperty ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< CurvesSchemaInfo >
| OSchema ()
| OSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument(), const Argument &iArg3=Argument())
| OSchema (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
virtual | ~OSchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
| OCompoundProperty ()
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, WrapExistingFlag iWrapFlag=kWrapExisting, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, TopFlag iTopFlag=kTop, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~OCompoundProperty ()
size_t | getNumProperties () const
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
OBaseProperty | getProperty (size_t i) const
OBaseProperty | getProperty (const std::string &iName) const
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::CompoundPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Additional Inherited Members

Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< CurvesSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getSchemaBaseType ()
static const char * | getDefaultSchemaName ()
static bool | replaceOnSparse ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
static bool | matches (const AbcA::PropertyHeader &iHeader, SchemaInterpMatching iMatching=kStrictMatching)
Protected Member Functions inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< CurvesSchemaInfo >
void | init (uint32_t iTsIndex, bool isSparse)
void | createSelfBoundsProperty (uint32_t iTsIndex, size_t iNumSamples)
| Creates the self bounds. More...
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
| OBasePropertyT ()
| OBasePropertyT (AbcA::CompoundPropertyWriterPtr iPtr, ErrorHandler::Policy iPolicy)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< CurvesSchemaInfo >
Abc::OBox3dProperty | m_selfBoundsProperty
Abc::OBox3dProperty | m_childBoundsProperty
Abc::OCompoundProperty | m_arbGeomParams
Abc::OCompoundProperty | m_userProperties
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
AbcA::CompoundPropertyWriterPtr | m_property

## Detailed Description

Definition at line 62 of file OCurves.h.

## Member Typedef Documentation

## sample_type

typedef OCurvesSchema::Sample Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::sample_type

Definition at line 268 of file OCurves.h.

## this_type

typedef OCurvesSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::this_type

By convention we always define this_type in AbcGeom classes. Used by unspecified-bool-type conversion below

Definition at line 267 of file OCurves.h.

## Constructor & Destructor Documentation

## OCurvesSchema() [1/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::OCurvesSchema | ( |  | ) |

inline

The default constructor creates an empty OCurvesSchema ...

Definition at line 276 of file OCurves.h.

## OCurvesSchema() [2/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::OCurvesSchema | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg1 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg2 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg3 = `Abc::Argument()`
| ) |  |

inline

This constructor creates a new curves writer. The first argument is the compound property to use as a parent The remaining optional arguments are the parents ErrorHandlerPolicy, an override to the ErrorHandlerPolicy, MetaData, and TimeSampling info.

Definition at line 288 of file OCurves.h.

References Alembic::Abc::ALEMBIC_VERSION_NS::GetCompoundPropertyWriterPtr(), Alembic::Abc::ALEMBIC_VERSION_NS::GetTimeSampling(), Alembic::Abc::ALEMBIC_VERSION_NS::GetTimeSamplingIndex(), and Alembic::Abc::ALEMBIC_VERSION_NS::IsSparse().

Here is the call graph for this function:

## OCurvesSchema() [3/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::OCurvesSchema | ( | const OCurvesSchema & | iCopy | ) |

inline

Definition at line 314 of file OCurves.h.

## Member Function Documentation

## ALEMBIC_OVERRIDE_OPERATOR_BOOL()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::ALEMBIC_OVERRIDE_OPERATOR_BOOL | ( | this_type::valid() |  | ) |

unspecified-bool-type operator overload. ...

## getNumSamples()

size_t Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::getNumSamples | ( |  | ) | const

inline

Get number of samples written so far. ...

Definition at line 349 of file OCurves.h.

## getTimeSampling()

AbcA::TimeSamplingPtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::getTimeSampling | ( |  | ) | const

inline

Default assignment operator used.

Return the time sampling type, which is stored on each of the sub properties.

Definition at line 328 of file OCurves.h.

## reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::reset | ( |  | ) |

inlinevirtual

Reset returns this function set to an empty, default state.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< CurvesSchemaInfo >.

Definition at line 367 of file OCurves.h.

References Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::reset().

Here is the call graph for this function:

## set()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::set | ( | const sample_type & | iSamp | ) |

Set a sample! Sample zero has to have non-degenerate positions, indices and counts.

## setFromPrevious()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::setFromPrevious | ( |  | ) |

Set from previous sample. Will apply to each of positions, indices, and counts.

## setTimeSampling() [1/2]

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::setTimeSampling | ( | AbcA::TimeSamplingPtr | iTime | ) |

## setTimeSampling() [2/2]

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::setTimeSampling | ( | uint32_t | iIndex | ) |

## valid()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::valid | ( |  | ) | const

inlinevirtual

Valid returns whether this function set is valid.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< CurvesSchemaInfo >.

Definition at line 385 of file OCurves.h.

References Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::valid().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/OCurves.h